﻿local L = AceLibrary("AceLocale-2.2"):new("FuBar_tcgTradeskills")

L:RegisterTranslations("enUS", function() return {
    ["Filter"] = true,
    ["Filter Characters on Tooltip"] = true,
    ["Purge"] = true,
    ["Purge Characters"] = true,
    ["Button Visibility"] = true,
    ["Toggle Button Visibility (per character)"] = true,
    ["Toggle visibility of"] = true,
    ["Button Spacing"] = true,
    ["Set Button Spacing"] = true,
    ["Icon Size"] = true,
    ["Set Icon Size"] = true,
    ["Profile Settings"] = true,
    ["Hide Skills"] = true,
    ["Settings"] = true,
    ["Profile specific settings"] = true,
    ["Button Size"] = true,
    ["Button Spacing"] = true,
    ["Purging %s of %s"] = true,

    -- Added in 1.33
    ["Single Realm View"] = true,
    ["Show only the current realm in tooltip"] = true,
} end)

L:RegisterTranslations("deDE", function() return {
    ["Filter"] = "Filter",
    ["Filter Characters on Tooltip"] = "Filtere Charaktere im Tooltip",
    ["Purge"] = "Bereinigung",
    ["Purge Characters"] = "Bereinige Charaktere",
    ["Button Visibility"] = "Tastensichtbarkeit",
    ["Toggle Button Visibility (per character)"] = "Setze Tastensichtbarkeit (pro Charakter)",
    ["Toggle visibility of"] = "Setze Sichtbarkeit von",
    ["Button Spacing"] = "Tastenabstand",
    ["Set Button Spacing"] = "Tastenabstand einstellen",
    ["Icon Size"] = "Icongr\195\182\195\159e",
    ["Set Icon Size"] = "Icongr\195\182\195\159e einstellen",
    ["Profile Settings"] = "Profil Einstellungen",
    ["Hide Skills"] = "F\195\164higkeiten verstecken",
    ["Settings"] = "Einstellungen",
    ["Profile specific settings"] = "Profilspezifische Einstellungen",
    ["Button Size"] = "Tastengr\195\182\195\159e",
    ["Button Spacing"] = "Tastenabstand",
    ["Purging %s of %s"] = "Bereinige %s von %s",
} end)

L:RegisterTranslations("frFR", function() return {
    ["Filter"] = "Filtrer",
    ["Filter Characters on Tooltip"] = "Permet de choisir les personnages \195\160 afficher dans la bulle d'aide",
    ["Purge"] = "Purger",
    ["Purge Characters"] = "Effacer les donn\195\169es sur les personnages",
    ["Button Visibility"] = "Afficher",
    ["Toggle Button Visibility (per character)"] = "R\195\168gler par personnage les ic\195\180nes affich\195\169es",
    ["Toggle visibility of"] = "Afficher",
    ["Button Spacing"] = "Espacement de bouton",
    ["Set Button Spacing"] = "Permet de r\195\168gler la distance entre les boutons",
    ["Icon Size"] = "Taille d'ic\195\180ne",
    ["Set Icon Size"] = "Permet de r\195\168gler la taille des ic\195\180nes",
    ["Profile Settings"] = "Param\195\168tres du profil",
    ["Hide Skills"] = "Cacher les comp\195\169tences",
    ["Settings"] = "Param\195\168tres",
    ["Profile specific settings"] = "Param\195\168tres sp\195\169cifiques du profil",
    ["Button Size"] = "Taille des boutons",
    ["Button Spacing"] = "Espacement des boutons",
    ["Purging %s of %s"] = " %s de %s effac\195\169",
    ["Single Realm View"] = "Royaume unique",
    ["Show only the current realm in tooltip"] = "S\195\169lectionner pour n'afficher que les personnages de ce royaume",
} end)
L:RegisterTranslations("zhTW", function() return {
    ["Filter"] = "??",
    ["Filter Characters on Tooltip"] = "???????????",
    ["Purge"] = "??",
    ["Purge Characters"] = "??????",
    ["Button Visibility"] = "????",
    ["Toggle Button Visibility (per character)"] = "????????(???)",
    ["Toggle visibility of"] = "????",
    ["Button Spacing"] = "????",
    ["Set Button Spacing"] = "???????",
    ["Icon Size"] = "????",
    ["Set Icon Size"] = "??????",
    ["Profile Settings"] = "????",
    ["Hide Skills"] = "????",
    ["Settings"] = "??",
    ["Profile specific settings"] = "????????",
    ["Button Size"] = "????",
    ["Purging %s of %s"] = "?? %s ? %s",

    -- Added in 1.33
    ["Single Realm View"] = "??????",
    ["Show only the current realm in tooltip"] = "????????",
} end)

L:RegisterTranslations("deDE", function() return {
    ["Filter"] = "Filter",
    ["Filter Characters on Tooltip"] = "Filtere Charaktere im Tooltip",
    ["Purge"] = "Bereinigung",
    ["Purge Characters"] = "Bereinige Charaktere",
    ["Button Visibility"] = "Tastensichtbarkeit",
    ["Toggle Button Visibility (per character)"] = "Setze Tastensichtbarkeit (pro Charakter)",
    ["Toggle visibility of"] = "Setze Sichtbarkeit von",
    ["Button Spacing"] = "Tastenabstand",
    ["Set Button Spacing"] = "Tastenabstand einstellen",
    ["Icon Size"] = "Icongr\195\182\195\159e",
    ["Set Icon Size"] = "Icongr\195\182\195\159e einstellen",
    ["Profile Settings"] = "Profil Einstellungen",
    ["Hide Skills"] = "F\195\164higkeiten verstecken",
    ["Settings"] = "Einstellungen",
    ["Profile specific settings"] = "Profilspezifische Einstellungen",
    ["Button Size"] = "Tastengr\195\182\195\159e",
    ["Button Spacing"] = "Tastenabstand",
    ["Purging %s of %s"] = "Bereinige %s von %s",
} end)
